<?php

///////////////////////////////////////////////////////////////////////////////////////////////////////
// BotBanish 4.1.00
// Randem Systems: https://randemsystems.support
// BotBanish Start Analytics Viewing
// Date: 04/15/2023
// Usage:
//
// Function: Starts the analytics viewing (SMF ONLY)
///////////////////////////////////////////////////////////////////////////////////////////////////////

function BotBanishAnalyticsShow() {

	global $context, $scripturl, $sourcedir, $BotBanishText, $txt;

	require_once($sourcedir . '/ManageServer.php');

	$txt = array_merge($txt, $BotBanishText);	// Need to add our text to SMF text because we are using an SMF template
	loadTemplate('BotBanishAnalytics');
	$context['sub_template'] = 'show_analytics';

	$context['post_url'] = $scripturl . '?action=botbanish;area=showanalytics';
}

function BotBanishAnalyticsLogsShow() {

	global $context, $scripturl, $sourcedir, $BotBanishText, $txt;

	require_once($sourcedir . '/ManageServer.php');

	$txt = array_merge($txt, $BotBanishText);	// Need to add our text to SMF text because we are using an SMF template
	loadTemplate('BotBanishAnalytics');
	$context['sub_template'] = 'show_analytics_logs';

	$context['post_url'] = $scripturl . '?action=botbanish;area=showanalyticslogs';
}
?>